from django.contrib import admin

from items.models import ItemType, Item, ItemRelation, Property, LinkedProperty, RelationProperty

@admin.register(ItemType)
class ItemTypeAdmin(admin.ModelAdmin):
    list_display = ("id", )


@admin.register(Item)
class ItemAdmin(admin.ModelAdmin):
    list_display = ("id", )


@admin.register(ItemRelation)
class ItemRelationAdmin(admin.ModelAdmin):
    list_display = ("id", )


@admin.register(Property)
class PropertyAdmin(admin.ModelAdmin):
    list_display = ("id", "type")


@admin.register(LinkedProperty)
class LinkedPropertyAdmin(admin.ModelAdmin):
    list_display = ("id", "property__type", "item")


@admin.register(RelationProperty)
class RelationPropertyAdmin(admin.ModelAdmin):
    list_display = ("id", "property__type", "relation")
